Bug 174574 - IncompatibleClassChangeError at org.eclipse.core.runtime.Path.append
Summary: IncompatibleClassChangeError at org.eclipse.core.runtime.Path.append
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse   
(Show other bugs)
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-30 11:54 UTC by Robin Green
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-12 15:41:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robin Green 2005-11-30 11:54:58 UTC
Description of problem:
Similar stack trace to bug 162383, but I get this with the current
eclipse-platform, and the bottom of the stack is different. This appeared soon
after startup.

Version-Release number of selected component (if applicable):
eclipse-platform-3.1.1-1jpp_1fc.FC4.4

Message:
An internal error occurred during: "Flushing content description cache.".

Stack trace:
java.lang.IncompatibleClassChangeError
at org.eclipse.core.runtime.Path.append(org.eclipse.core.runtime.IPath) (Unknown
Source)
at
org.eclipse.core.internal.dtree.AbstractDataTreeNode.compareWithParent(org.eclipse.core.internal.dtree.AbstractDataTreeNode[],
org.eclipse.core.runtime.IPath, org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.dtree.NoDataDeltaNode.compareWithParent(org.eclipse.core.runtime.IPath,
org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.dtree.AbstractDataTreeNode.compareWithParent(org.eclipse.core.internal.dtree.AbstractDataTreeNode[],
org.eclipse.core.runtime.IPath, org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.dtree.NoDataDeltaNode.compareWithParent(org.eclipse.core.runtime.IPath,
org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.dtree.AbstractDataTreeNode.compareWithParent(org.eclipse.core.internal.dtree.AbstractDataTreeNode[],
org.eclipse.core.runtime.IPath, org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.dtree.NoDataDeltaNode.compareWithParent(org.eclipse.core.runtime.IPath,
org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.dtree.AbstractDataTreeNode.compareWithParent(org.eclipse.core.internal.dtree.AbstractDataTreeNode[],
org.eclipse.core.runtime.IPath, org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.dtree.NoDataDeltaNode.compareWithParent(org.eclipse.core.runtime.IPath,
org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.dtree.AbstractDataTreeNode.compareWithParent(org.eclipse.core.internal.dtree.AbstractDataTreeNode[],
org.eclipse.core.runtime.IPath, org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.dtree.NoDataDeltaNode.compareWithParent(org.eclipse.core.runtime.IPath,
org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.dtree.AbstractDataTreeNode.compareWithParent(org.eclipse.core.internal.dtree.AbstractDataTreeNode[],
org.eclipse.core.runtime.IPath, org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.dtree.DataDeltaNode.compareWithParent(org.eclipse.core.runtime.IPath,
org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.dtree.DeltaDataTree.compareWith(org.eclipse.core.internal.dtree.DeltaDataTree,
org.eclipse.core.internal.dtree.IComparator) (Unknown Source)
at
org.eclipse.core.internal.events.ResourceDeltaFactory.computeDelta(org.eclipse.core.internal.resources.Workspace,
org.eclipse.core.internal.watson.ElementTree,
org.eclipse.core.internal.watson.ElementTree, org.eclipse.core.runtime.IPath,
long) (Unknown Source)
at
org.eclipse.core.internal.events.NotificationManager.getDelta(org.eclipse.core.internal.watson.ElementTree,
int) (Unknown Source)
at
org.eclipse.core.internal.events.NotificationManager.broadcastChanges(org.eclipse.core.internal.watson.ElementTree,
org.eclipse.core.internal.events.ResourceChangeEvent, boolean) (Unknown Source)
at org.eclipse.core.internal.resources.Workspace.broadcastPostChange() (Unknown
Source)

Comment 1 Andrew Overholt 2005-11-30 14:36:24 UTC
Yeah, I see these in the logs sometimes.  Thanks for a detailed stack trace. 
Hopefully we can track this down.

Perhaps this is something that will be fixed with the forthcoming FC4 update
(rebuilt with gcc 4.0.2)?  We will have to wait and see.

Comment 2 Robin Green 2005-11-30 17:33:09 UTC
I only just realised - I was previously using Sun JDK1.5 and then I switched to
libgcj before running eclipse today. So it is probably something to do with
serialization incompatibilities between libgcj and the Sun JDK, I suspect.

Comment 3 Andrew Overholt 2005-12-02 20:50:23 UTC
Shall we leave this open?

Comment 4 Robin Green 2005-12-03 12:03:17 UTC
Your call.

Comment 5 Andrew Overholt 2005-12-12 15:41:36 UTC
Alright, let's close this for now.  We can always re-open if we need to.


Note You need to log in before you can comment on or make changes to this bug.